VERSION 5.00
Begin VB.Form frmAS 
   BackColor       =   &H00C0FFFF&
   Caption         =   "Advanced Statistics"
   ClientHeight    =   3660
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6195
   ForeColor       =   &H00000000&
   LinkTopic       =   "Form1"
   ScaleHeight     =   3660
   ScaleWidth      =   6195
   StartUpPosition =   3  'Windows Default
   Begin VB.OptionButton optGstar 
      Caption         =   "g*"
      Height          =   375
      Left            =   600
      TabIndex        =   5
      Top             =   1920
      Width           =   1455
   End
   Begin VB.OptionButton optG 
      Caption         =   "g"
      Height          =   375
      Left            =   600
      TabIndex        =   4
      Top             =   1200
      Value           =   -1  'True
      Width           =   1455
   End
   Begin VB.TextBox txtOutput 
      BackColor       =   &H00C0E0FF&
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   2520
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   2
      Top             =   480
      Width           =   3375
   End
   Begin VB.CommandButton cmdCompute 
      Caption         =   "&Compute"
      Height          =   495
      Left            =   1080
      TabIndex        =   1
      Top             =   2880
      Width           =   1455
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Exit"
      Height          =   495
      Left            =   3360
      TabIndex        =   0
      Top             =   2880
      Width           =   1455
   End
   Begin VB.Label lblFisher 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0C0&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "Fisher's statistic"
      Height          =   375
      Left            =   600
      TabIndex        =   3
      Top             =   360
      Width           =   1455
   End
End
Attribute VB_Name = "frmAS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdCompute_Click()
    Dim Data() As Double
    Dim Nobs As Integer
    Dim I As Integer
    Dim GaussProgram As String
    Dim g, gstar, pvalue As Double
    Dim txt As String
    
    Nobs = frmData.grdData.rows - 1
    
    ReDim Data(1 To Nobs, 1 To 1)
    
    frmData.grdData.Col = 0
    
    For I = 1 To Nobs
        frmData.grdData.Row = I
        Data(I, 1) = Val(frmData.grdData.Text)
    Next I
    
    txt = ""
        
    gematput "data", Data()
    
    GaussProgram = "Nobs = rows(data); d = dfft(data); " + _
                   "T = rows(d); d = T*d; I = abs(d)^2/Nobs; " + _
                   "lambda = 2*pi*seqa(0,1,T)/T; q = trunc(rows(lambda)/2); " + _
                   "g = maxc(I[2:q])/sumc(I[2:q]); gstar = 2*Nobs*g; " + _
                   "pvalue = Nobs*exp(-gstar/2);"
    geexec GaussProgram
    gevalget "g", g
    gevalget "gstar", gstar
    gevalget "pvalue", pvalue
    
    If optG.value = True Then
        txt = txt & "g: " & g
    Else
        txt = txt & "g*: " & gstar & " " & Chr(13) & Chr(10)
        txt = txt & "p-value: " & pvalue
    End If
    
    txtOutput.Text = txt
    
End Sub

Private Sub cmdExit_Click()
    txtOutput.Text = ""
    frmAS.Hide
    frmEcts.Show
End Sub
