VERSION 5.00
Begin VB.Form frmDS 
   BackColor       =   &H00C0FFFF&
   Caption         =   "Descriptive Statistics"
   ClientHeight    =   3660
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6195
   LinkTopic       =   "Form1"
   ScaleHeight     =   3660
   ScaleWidth      =   6195
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtOutput 
      BackColor       =   &H00C0E0FF&
      BeginProperty Font 
         Name            =   "Courier New"
         Size            =   9
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1815
      Left            =   2520
      MultiLine       =   -1  'True
      ScrollBars      =   3  'Both
      TabIndex        =   6
      Top             =   480
      Width           =   3375
   End
   Begin VB.CommandButton cmdCompute 
      Caption         =   "&Compute"
      Height          =   495
      Left            =   1080
      TabIndex        =   5
      Top             =   2880
      Width           =   1455
   End
   Begin VB.CommandButton cmdExit 
      Caption         =   "&Exit"
      Height          =   495
      Left            =   3360
      TabIndex        =   4
      Top             =   2880
      Width           =   1455
   End
   Begin VB.CheckBox chkMax 
      Caption         =   "Maximum"
      Height          =   375
      Left            =   600
      TabIndex        =   3
      Top             =   2160
      Width           =   1455
   End
   Begin VB.CheckBox chkMin 
      Caption         =   "Minimum"
      Height          =   375
      Left            =   600
      TabIndex        =   2
      Top             =   1560
      Width           =   1455
   End
   Begin VB.CheckBox chkMedian 
      Caption         =   "Median"
      Height          =   375
      Left            =   600
      TabIndex        =   1
      Top             =   960
      Width           =   1455
   End
   Begin VB.CheckBox chkMean 
      Caption         =   "Mean"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   360
      Width           =   1455
   End
End
Attribute VB_Name = "frmDS"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub cmdCompute_Click()
    Dim Data() As Double
    Dim Nobs As Integer
    Dim i As Integer
    Dim rslt As Double
    Dim txt As String
    
    Nobs = frmData.grdData.rows - 1
    
    ReDim Data(1 To Nobs, 1 To 1)
    
    frmData.grdData.Col = 0
    
    For i = 1 To Nobs
        frmData.grdData.Row = i
        Data(i, 1) = Val(frmData.grdData.Text)
    Next i
    
    txt = ""
    
    gematput "data", Data()
    
    If chkMean.value = 1 Then
        geexec "m = meanc(data);"
        gevalget "m", rslt
        txt = txt & "Mean: " & rslt & " " & Chr(13) & Chr(10)
    End If
    
    If chkMedian.value = 1 Then
        geexec "m = median(data);"
        gevalget "m", rslt
        txt = txt & "Median: " & rslt & " " & Chr(13) & Chr(10)
    End If
    
    If chkMin.value = 1 Then
        geexec "m = minc(data);"
        gevalget "m", rslt
        txt = txt & "Minimum: " & rslt & " " & Chr(13) & Chr(10)
    End If
    
    If chkMax.value = 1 Then
        geexec "m = maxc(data);"
        gevalget "m", rslt
        txt = txt & "Maximum: " & rslt & " " & Chr(13) & Chr(10)
    End If
    
    txtOutput.Text = txt
    
End Sub

Private Sub cmdExit_Click()
    txtOutput.Text = ""
    chkMean.value = 0
    chkMedian.value = 0
    chkMin.value = 0
    chkMax.value = 0
    frmDS.Hide
    frmEcts.Show
End Sub
