new;
library pgraph,tsm,optmum;

rndseed 1234;

Nobs = 2^9;

s = seqa(1,1,Nobs);
sigma = 1;
x0 = miss(0,0);
x = RND_arma(0.62|0.35,2,0,sigma,x0,Nobs);

{H,G,Htilde,Gtilde} = Daubechies(6);

_wcenter = 2;
w = wt(x,H,G,0);

L1 = 5|6|7|8|9|10;  /* lower frequencies */
L2 = 1|2|3|4;    /* higher frequencies */

bnd1 = Extract(w,L1);
bnd2 = Extract(W,L2);
y1 = iwt(bnd1,Htilde,Gtilde,0);
y2 = iwt(bnd2,Htilde,Gtilde,0);
y3 = y1 + y2;

  begwind;
  window(3,1,0);
  setwind(1);
    graphset;
    _pdate = ""; _pnum = 2; _pnumht = 0.25; _ptitlht = 0.30; _paxht = 0.25;
    title("Wavelet coefficients (first subband coding procedure)");
    _wcolor = seqa(1,1,9); _wline = 0;
    call wplot(w,0,bnd1);
    xtics(0,Nobs/2,32,0);
    draw;
  setwind(2);
    graphset;
    _pdate = ""; _pnum = 2; _pnumht = 0.25; _ptitlht = 0.30; _paxht = 0.25;
    xtics(0,500,100,0);
    title("original signal/reconstructed signal (y1)");
    xy(s,x~y1);
  setwind(3);
    title("reconstructed series (y1 + y2)");
    xy(s,y3);

    graphprt("-c=1 -cf=tsm5d.eps");
  endwind;



