new;

GaussPath = sysstate(2,0);
cnd = ChangeDir(GaussPath $+"conf3");

tmpfile = "xl2_in.tmp";
load data[] = ^tmpfile;

Nrows = data[1];
Ncols = data[2];
M = reshape(trimr(data,2,0),Nrows,Ncols);

old = trapchk(1);
trap 1,1;
Mchol = chol(M);
trap old,1;

tmpfile = "xl2_out.tmp";
output file = ^tmpfile reset;

screen off;

if scalerr(Mchol);
  print "-999"; 
else;
  print vecr(Mchol);
endif;

output off;


system;
