new;
library fanpac;
fanset; 

/* loading data */

load y[320,7] = wilshire.asc;
_fan_series = y[.,4];
Nobs = rows(_fan_series);


/* Garch(1,2) model */

_fan_p = 1; 
_fan_q = 2;


/* stationarity contraint */

_nlp_IneqProc = &garch_ineq; 


/* bounds for GARCH parameters */

_nlp_Bounds = { .001   1e250,  /* omega > 0    */
                 0     1,      /* garch_1 >= 0 */
                -1e250 1e250,   
                -1e250 1e250,   
                -1e250 1e250 };

/* Analytical gradient */

_nlp_GradProc = &garch_n_grd;
_nlp_IterInfo = 1;
sv = {.2, .3, .2, .1, 1};

output file = fanpac1.out reset;

{coefs,f,g,retcode} = nlp(&garch_n,sv);    

print coefs;

output off;